Package com.emc.documentum.rest.model

# Class AccessorPermission

java.lang.Object
com.emc.documentum.rest.model.AbstractLinkable
com.emc.documentum.rest.model.AccessorPermission

All Implemented Interfaces:
  `Linkable`

public class AccessorPermission extends AbstractLinkable
AccessorPermission identify users and groups and define their object-level permissions to the object with which the ACL is associated.

- ## Field Summary

  ### Fields inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `links`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessorPermission()`
  `AccessorPermission(String accessor, AccessType accessType)`
  `AccessorPermission(String accessor, BasicPermission basicPermission, String extendPermissions, AccessType accessType)`
  `AccessorPermission(String accessor, BasicPermission basicPermission, String extendPermissions, String applicationPermission, AccessType accessType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAccessor()`
  `AccessType`
  `getAccessType()`
  `String`
  `getApplicationPermission()`
  `BasicPermission`
  `getBasicPermission()`
  `String`
  `getExtendPermissions()`
  `void`
  `setAccessor(String accessor)`
  `void`
  `setAccessType(AccessType accessType)`
  `void`
  `setApplicationPermission(String applicationPermission)`
  `void`
  `setBasicPermission(BasicPermission basicPermission)`
  `void`
  `setExtendPermissions(String extendPermissions)`

  ### Methods inherited from class com.emc.documentum.rest.model.AbstractLinkable

  `getLinks, setLinks`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AccessorPermission

    public AccessorPermission(String accessor, BasicPermission basicPermission, String extendPermissions, String applicationPermission, AccessType accessType)

  - ### AccessorPermission

    public AccessorPermission(String accessor, BasicPermission basicPermission, String extendPermissions, AccessType accessType)

  - ### AccessorPermission

    public AccessorPermission(String accessor, AccessType accessType)

  - ### AccessorPermission

    public AccessorPermission()

- ## Method Details

  - ### getAccessor

    public String getAccessor()

  - ### setAccessor

    public void setAccessor(String accessor)

  - ### getAccessType

    public AccessType getAccessType()

  - ### getBasicPermission

    public BasicPermission getBasicPermission()

  - ### setBasicPermission

    public void setBasicPermission(BasicPermission basicPermission)

  - ### getExtendPermissions

    public String getExtendPermissions()

  - ### setExtendPermissions

    public void setExtendPermissions(String extendPermissions)

  - ### getApplicationPermission

    public String getApplicationPermission()

  - ### setApplicationPermission

    public void setApplicationPermission(String applicationPermission)

  - ### setAccessType

    public void setAccessType(AccessType accessType)